%global namedreltag .Alpha1
%global namedversion %{version}%{?namedreltag}

Name:             jboss-web
Version:          8.0.0
Release:          0.6%{namedreltag}%{?dist}
Summary:          JBoss Web
License:          LGPLv2+ and ASL 2.0 and MIT and (LGPLv2+ or ASL 2.0)
URL:              http://www.jboss.org/jbossweb

# svn export http://anonsvn.jboss.org/repos/jbossweb/tags/JBOSSWEB_8_0_0_ALPHA1/ jboss-web-8.0.0.Alpha1
# rm -rf jboss-web-8.0.0.Alpha1/java/javax
# tar cafJ jboss-web-8.0.0.Alpha1.tar.xz jboss-web-8.0.0.Alpha1
Source0:          jboss-web-%{namedversion}.tar.xz

# Support for the Beta1 Servlet API
Patch0:           servlet-beta1-changes.patch

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    jboss-annotations-1.1-api
BuildRequires:    jboss-el-2.2-api
BuildRequires:    jboss-jsp-2.2-api
BuildRequires:    jboss-servlet-3.1-api
BuildRequires:    ant
BuildRequires:    junit
BuildRequires:    ecj
BuildRequires:    jboss-logging
BuildRequires:    jboss-logging-tools
BuildRequires:    jboss-logmanager
BuildRequires:    maven-local
BuildRequires:    maven-injection-plugin
BuildRequires:    glassfish-el

%description
JBoss Web Server is an enterprise ready web server based on Tomcat.

%package javadoc
Summary:        Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-web-%{namedversion}

%patch0 -p1

%pom_remove_dep "org.glassfish:javax.el"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_jnidir}/%{name}
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 8.0.0-0.6.Alpha1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8.0.0-0.5.Alpha1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jul 31 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 8.0.0-0.4.Alpha1
- Fix FTBFS due to XMvn changes in F21 (#1106905)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8.0.0-0.3.Alpha1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8.0.0-0.2.Alpha1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 15 2013 Marek Goldmann <mgoldman@redhat.com> - 8.0.0-0.1.Alpha1
- Upstream release 8.0.0.Alpha1
- New guidelines
- Using Maven

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0.13-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0.13-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Mar 28 2012 Anthony Sasadeusz <sasadeu1@umbc.edu> 7.0.13-4
- Fixed licensing issue.
- Cleaned up description and requires section.
- Added dependency information to POM file.

* Tue Mar 27 2012 Anthony Sasadeusz <sasadeu1@umbc.edu> 7.0.13-3
- Removed javadoc patch. Fixed javadoc generation.

* Mon Mar 26 2012 Anthony Sasadeusz <sasadeu1@umbc.edu> 7.0.13-2
- Removed java/javax from source.
- Added links to dependencies.
- Added javadoc patch.

* Sun Mar 25 2012 Anthony Sasadeusz <sasadeu1@umbc.edu> 7.0.13-1
- Update to 7.0.13

* Mon Nov 21 2011 Marek Goldmann <mgoldman@redhat.com> 7.0.9-1
- Initial packaging

